
User Interface - Bug #2859

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

combo-box layout obscures the 3D border

11/19/2015 10:12 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/19/2015 10:13 AM - Greg Shah

Hynek: please document the details.

This is a latent problem with the combo-box that was exposed when THREE-D support was added.

#2 - 11/19/2015 10:53 AM - Hynek Cihlar

The problem is with the size and possibly position of the drop-down button. Its bottom and right edge cover the widget border.

#3 - 11/20/2015 06:53 PM - Eugenie Lyzenko

- File evl_upd20151120b.zip added

- File combo_3d_obscuration_by_button_p2j_fix_20151120.jpg added

- File combo_line_spacing_4gl_closed.jpg added

This is the fix for issue. The several small GUI fixes to improve combo-box painting. Also the simple mode may need the list width of the vertical

scrollbar to draw this mode. The screen for fixed layout attached here along with the original 4gl screen for the customer demo.

This is cumulative update. The fix for #2816 also included here.

#4 - 11/24/2015 01:33 PM - Greg Shah

The changes will be checked in with #2816 (see note 10).

#5 - 11/24/2015 01:52 PM - Eugenie Lyzenko

The fix for issue from evl_upd20151123b.zip has been commited in 2677b as revision 10956.

#6 - 11/24/2015 02:11 PM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

#7 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
combo_3d_obscuration_by_button_p2j_fix_20151120.jpg 41.9 KB 11/20/2015 Eugenie Lyzenko
